Bug 1388055 - HTTP probe result length could not be longer than 2 characters
Summary: HTTP probe result length could not be longer than 2 characters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnssec-trigger
Version: 27
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Tomáš Hozza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1374383
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-24 10:32 UTC by Tomáš Hozza
Modified: 2018-03-06 17:28 UTC (History)
5 users (show)

Fixed In Version: dnssec-trigger-0.15-4.fc27 dnssec-trigger-0.15-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1374383
Environment:
Last Closed: 2018-03-06 17:20:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hozza 2016-10-24 10:32:26 UTC
+++ This bug was initially created as a clone of Bug #1374383 +++

Description of problem:
lately, default dnssec-trigger http://ster.nlnetlabs.nl/hotspot.txt returning just "OK" doesn't work (returning 403 instead). So I tried to find a similar page and I found http://httpstat.us/ service, specifically for 200 code http://httpstat.us/200 . However this page returns "200 OK" text and I'm not able to configure dnssect-trigger to respect that. Based on the docs, this line in dnssec-triggerd.conf should do the trick:

url: "http://httpstat.us/200 200 OK"

but all I'm getting is "Wrong page content" error. I even tried to enclose the quoted string in single quotes or replace the space with %20 or using just 200 or OK but to no avail.

Version-Release number of selected component (if applicable):
dnssec-trigger-0.11-22.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. add url line from Description to your dnssec-triggerd.conf
2. restart the dnssec-triggerd service, wait for connectivity to settle, maybe choose "login" or "skip" in the applet
3. run dnssec-trigger-control status

Actual results:
http httpstat.us (23.99.0.12): error wrong page content


Expected results:
httpstat.us test page is matched successfully

Additional info:

Comment 1 Fedora End Of Life 2017-02-28 10:30:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Tomáš Hozza 2017-03-06 11:15:49 UTC
The actual problem is not caused by the whitespace in the HTTP probe result string, but by the fact that dnssec-trigger was not able to successfully accept anything longer than 2 characters.

Fix submitted to upstream - https://open.nlnetlabs.nl/pipermail/dnssec-trigger/2017-March/000455.html

Comment 4 Jan Kurik 2017-08-15 07:32:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 5 Fedora Update System 2017-12-11 13:58:08 UTC
dnssec-trigger-0.15-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-43965f174b

Comment 6 Fedora Update System 2017-12-11 13:58:17 UTC
dnssec-trigger-0.15-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-680fb288de

Comment 7 Fedora Update System 2017-12-11 13:58:24 UTC
dnssec-trigger-0.15-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6fdbb08336

Comment 8 Fedora Update System 2017-12-11 19:10:26 UTC
dnssec-trigger-0.15-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-680fb288de

Comment 9 Fedora Update System 2017-12-11 19:58:09 UTC
dnssec-trigger-0.15-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6fdbb08336

Comment 10 Fedora Update System 2017-12-11 20:33:45 UTC
dnssec-trigger-0.15-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-43965f174b

Comment 11 Fedora Update System 2018-02-20 11:12:19 UTC
dnssec-trigger-0.15-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0003054b16

Comment 12 Fedora Update System 2018-02-20 11:12:36 UTC
dnssec-trigger-0.15-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3aa6ab3313

Comment 13 Fedora Update System 2018-02-20 17:50:16 UTC
dnssec-trigger-0.15-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0003054b16

Comment 14 Fedora Update System 2018-02-20 18:19:01 UTC
dnssec-trigger-0.15-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3aa6ab3313

Comment 15 Fedora Update System 2018-03-06 17:20:49 UTC
dnssec-trigger-0.15-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-03-06 17:28:18 UTC
dnssec-trigger-0.15-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.